petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMSetDamping

Sets the update damping for NASM

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetDamping(SNES snes,PetscReal dmp)

Logically collective on SNES

### Input Parameters

| SNES | - the SNES context
| dmp | - damping

### Notes

The new solution is obtained as old solution plus dmp times (sum of the solutions on the subdomains)

### Keywords

SNES, NASM, damping

### See Also

SNESNASM, SNESNASMGetDamping()

### Level

intermediate

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMSetDamping_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages